From 873605688052868e68609502afab5389b79e2e49 Mon Sep 17 00:00:00 2001
From: Marcos <marcos@f10.com.br>
Date: Wed, 14 May 2025 17:34:42 -0300
Subject: [PATCH] Trying to put some standard on default values of variables

---
 doc/src/sgml/config.sgml | 1559 +++++++++++++++++---------------------
 1 file changed, 687 insertions(+), 872 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -518,7 +518,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-data-directory" xreflabel="data_directory">
-      <term><varname>data_directory</varname> (<type>string</type>)
+      <term><varname>data_directory</varname> (<type>string</type>) - has no default value
       <indexterm>
        <primary><varname>data_directory</varname> configuration parameter</primary>
       </indexterm>
@@ -532,45 +532,42 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-config-file" xreflabel="config_file">
-      <term><varname>config_file</varname> (<type>string</type>)
+      <term><varname>config_file</varname> (<type>string</type>) - default is postgresql.conf
       <indexterm>
        <primary><varname>config_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the main server configuration file
-         (customarily called <filename>postgresql.conf</filename>).
+         Specifies the main server configuration file.
          This parameter can only be set on the <command>postgres</command> command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-hba-file" xreflabel="hba_file">
-      <term><varname>hba_file</varname> (<type>string</type>)
+      <term><varname>hba_file</varname> (<type>string</type>) - default is pg_hba.conf
       <indexterm>
        <primary><varname>hba_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the configuration file for host-based authentication
-         (customarily called <filename>pg_hba.conf</filename>).
+         Specifies the configuration file for host-based authentication.
          This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ident-file" xreflabel="ident_file">
-      <term><varname>ident_file</varname> (<type>string</type>)
+      <term><varname>ident_file</varname> (<type>string</type>) - default is pg_ident.conf
       <indexterm>
        <primary><varname>ident_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the configuration file for user name mapping
-         (customarily called <filename>pg_ident.conf</filename>).
+         Specifies the configuration file for user name mapping.
          This parameter can only be set at server start.
          See also <xref linkend="auth-username-maps"/>.
        </para>
@@ -578,7 +575,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-external-pid-file" xreflabel="external_pid_file">
-      <term><varname>external_pid_file</varname> (<type>string</type>)
+      <term><varname>external_pid_file</varname> (<type>string</type>) - has no default value
       <indexterm>
        <primary><varname>external_pid_file</varname> configuration parameter</primary>
       </indexterm>
@@ -642,7 +639,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-listen-addresses" xreflabel="listen_addresses">
-      <term><varname>listen_addresses</varname> (<type>string</type>)
+      <term><varname>listen_addresses</varname> (<type>string</type>) - default is localhost
       <indexterm>
        <primary><varname>listen_addresses</varname> configuration parameter</primary>
       </indexterm>
@@ -661,9 +658,8 @@ include_dir 'conf.d'
          to it.  If the list is not empty, the server will start if it
          can listen on at least one TCP/IP address.  A warning will be
          emitted for any TCP/IP address which cannot be opened.
-         The default value is <systemitem class="systemname">localhost</systemitem>,
-         which allows only local TCP/IP <quote>loopback</quote> connections to be
-         made.
+         Localhost value allows only local TCP/IP <quote>loopback</quote> 
+		 connections to be made.
        </para>
        <para>
          While client authentication (<xref
@@ -678,14 +674,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-port" xreflabel="port">
-      <term><varname>port</varname> (<type>integer</type>)
+      <term><varname>port</varname> (<type>integer</type>) - default is 5432
       <indexterm>
        <primary><varname>port</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        The TCP port the server listens on; 5432 by default.  Note that the
+        The TCP port the server listens on.  Note that the
         same port number is used for all IP addresses the server listens on.
         This parameter can only be set at server start.
        </para>
@@ -693,7 +689,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-connections" xreflabel="max_connections">
-      <term><varname>max_connections</varname> (<type>integer</type>)
+      <term><varname>max_connections</varname> (<type>integer</type>) - default is 100
       <indexterm>
        <primary><varname>max_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -701,8 +697,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Determines the maximum number of concurrent connections to the
-        database server. The default is typically 100 connections, but
-        might be less if your kernel settings will not support it (as
+        database server. This value can be less than 100 if your kernel settings does not support it (as
         determined during <application>initdb</application>).  This parameter can
         only be set at server start.
        </para>
@@ -722,7 +717,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-reserved-connections" xreflabel="reserved_connections">
-      <term><varname>reserved_connections</varname> (<type>integer</type>)
+      <term><varname>reserved_connections</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -744,8 +739,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is zero connections.  The value must be less than
-        <varname>max_connections</varname> minus
+        The value must be less than <varname>max_connections</varname> minus
         <varname>superuser_reserved_connections</varname>.  This parameter can
         only be set at server start.
        </para>
@@ -755,7 +749,7 @@ include_dir 'conf.d'
      <varlistentry id="guc-superuser-reserved-connections"
      xreflabel="superuser_reserved_connections">
       <term><varname>superuser_reserved_connections</varname>
-      (<type>integer</type>)
+      (<type>integer</type>) - default is 3
       <indexterm>
        <primary><varname>superuser_reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -776,8 +770,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is three connections. The value must be less
-        than <varname>max_connections</varname> minus
+        The value must be less than <varname>max_connections</varname> minus
         <varname>reserved_connections</varname>.
         This parameter can only be set at server start.
        </para>
@@ -785,7 +778,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-directories" xreflabel="unix_socket_directories">
-      <term><varname>unix_socket_directories</varname> (<type>string</type>)
+      <term><varname>unix_socket_directories</varname> (<type>string</type>) - default is /tmp, on Windows ''
       <indexterm>
        <primary><varname>unix_socket_directories</varname> configuration parameter</primary>
       </indexterm>
@@ -816,10 +809,8 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is normally
-        <filename>/tmp</filename>, but that can be changed at build time.
-        On Windows, the default is empty, which means no Unix-domain socket is
-        created by default.
+        The value can be changed at build time.
+        On Windows, which means no Unix-domain socket is created by default.
         This parameter can only be set at server start.
        </para>
 
@@ -836,7 +827,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-group" xreflabel="unix_socket_group">
-      <term><varname>unix_socket_group</varname> (<type>string</type>)
+      <term><varname>unix_socket_group</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>unix_socket_group</varname> configuration parameter</primary>
       </indexterm>
@@ -848,7 +839,7 @@ include_dir 'conf.d'
         server.)  In combination with the parameter
         <varname>unix_socket_permissions</varname> this can be used as
         an additional access control mechanism for Unix-domain connections.
-        By default this is the empty string, which uses the default
+        If an empty string is used then it uses the default
         group of the server user.  This parameter can only be set at
         server start.
        </para>
@@ -862,7 +853,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-permissions" xreflabel="unix_socket_permissions">
-      <term><varname>unix_socket_permissions</varname> (<type>integer</type>)
+      <term><varname>unix_socket_permissions</varname> (<type>integer</type>) - default is 0777
       <indexterm>
        <primary><varname>unix_socket_permissions</varname> configuration parameter</primary>
       </indexterm>
@@ -879,7 +870,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default permissions are <literal>0777</literal>, meaning
+        If <literal>0777</literal> is used, then
         anyone can connect. Reasonable alternatives are
         <literal>0770</literal> (only user and group, see also
         <varname>unix_socket_group</varname>) and <literal>0700</literal>
@@ -912,7 +903,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-bonjour" xreflabel="bonjour">
-      <term><varname>bonjour</varname> (<type>boolean</type>)
+      <term><varname>bonjour</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>bonjour</varname> configuration parameter</primary>
       </indexterm>
@@ -920,14 +911,14 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Enables advertising the server's existence via
-        <productname>Bonjour</productname>.  The default is off.
+        <productname>Bonjour</productname>.  
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-bonjour-name" xreflabel="bonjour_name">
-      <term><varname>bonjour_name</varname> (<type>string</type>)
+      <term><varname>bonjour_name</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>bonjour_name</varname> configuration parameter</primary>
       </indexterm>
@@ -935,8 +926,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the <productname>Bonjour</productname> service
-        name.  The computer name is used if this parameter is set to the
-        empty string <literal>''</literal> (which is the default).  This parameter is
+        name.  The computer name is used if this parameter is set to an
+        empty string.  This parameter is
         ignored if the server was not compiled with
         <productname>Bonjour</productname> support.
         This parameter can only be set at server start.
@@ -952,7 +943,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-tcp-keepalives-idle" xreflabel="tcp_keepalives_idle">
-      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_idle</varname> configuration parameter</primary>
       </indexterm>
@@ -962,7 +953,7 @@ include_dir 'conf.d'
         Specifies the amount of time with no network activity after which
         the operating system should send a TCP keepalive message to the client.
         If this value is specified without units, it is taken as seconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         On Windows, setting a value of 0 will set this parameter to 2 hours,
         since Windows does not provide a way to read the system default value.
         This parameter is supported only on systems that support
@@ -975,7 +966,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-interval" xreflabel="tcp_keepalives_interval">
-      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -985,7 +976,7 @@ include_dir 'conf.d'
         Specifies the amount of time after which a TCP keepalive message
         that has not been acknowledged by the client should be retransmitted.
         If this value is specified without units, it is taken as seconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         On Windows, setting a value of 0 will set this parameter to 1 second,
         since Windows does not provide a way to read the system default value.
         This parameter is supported only on systems that support
@@ -998,7 +989,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-count" xreflabel="tcp_keepalives_count">
-      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_count</varname> configuration parameter</primary>
       </indexterm>
@@ -1007,7 +998,7 @@ include_dir 'conf.d'
        <para>
         Specifies the number of TCP keepalive messages that can be lost before
         the server's connection to the client is considered dead.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         This parameter is supported only on systems that support
         <symbol>TCP_KEEPCNT</symbol> or an equivalent socket option (which does not include Windows);
         on other systems, it must be zero.
@@ -1018,7 +1009,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-user-timeout" xreflabel="tcp_user_timeout">
-      <term><varname>tcp_user_timeout</varname> (<type>integer</type>)
+      <term><varname>tcp_user_timeout</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_user_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -1028,7 +1019,7 @@ include_dir 'conf.d'
         Specifies the amount of time that transmitted data may
         remain unacknowledged before the TCP connection is forcibly closed.
         If this value is specified without units, it is taken as milliseconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         This parameter is supported only on systems that support
         <symbol>TCP_USER_TIMEOUT</symbol> (which does not include Windows); on other systems, it must be zero.
         In sessions connected via a Unix-domain socket, this parameter is
@@ -1038,7 +1029,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-client-connection-check-interval" xreflabel="client_connection_check_interval">
-      <term><varname>client_connection_check_interval</varname> (<type>integer</type>)
+      <term><varname>client_connection_check_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>client_connection_check_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -1057,7 +1048,7 @@ include_dir 'conf.d'
        </para>
        <para>
         If the value is specified without units, it is taken as milliseconds.
-        The default value is <literal>0</literal>, which disables connection
+        If <literal>0</literal> is used, then disables connection
         checks.  Without connection checks, the server will detect the loss of
         the connection only at the next interaction with the socket, when it
         waits for, receives or sends data.
@@ -1082,7 +1073,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-authentication-timeout" xreflabel="authentication_timeout">
-      <term><varname>authentication_timeout</varname> (<type>integer</type>)
+      <term><varname>authentication_timeout</varname> (<type>integer</type>) - default is 1 minute
       <indexterm><primary>timeout</primary><secondary>client authentication</secondary></indexterm>
       <indexterm><primary>client authentication</primary><secondary>timeout during</secondary></indexterm>
       <indexterm>
@@ -1097,7 +1088,6 @@ include_dir 'conf.d'
         this much time, the server closes the connection. This prevents
         hung clients from occupying a connection indefinitely.
         If this value is specified without units, it is taken as seconds.
-        The default is one minute (<literal>1m</literal>).
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -1105,7 +1095,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-password-encryption" xreflabel="password_encryption">
-      <term><varname>password_encryption</varname> (<type>enum</type>)
+      <term><varname>password_encryption</varname> (<type>enum</type>) - default is scram-sha-256
       <indexterm>
        <primary><varname>password_encryption</varname> configuration parameter</primary>
       </indexterm>
@@ -1117,7 +1107,7 @@ include_dir 'conf.d'
         algorithm to use to encrypt the password.  Possible values are
         <literal>scram-sha-256</literal>, which will encrypt the password with
         SCRAM-SHA-256, and <literal>md5</literal>, which stores the password
-        as an MD5 hash.  The default is <literal>scram-sha-256</literal>.
+        as an MD5 hash.
        </para>
        <para>
         Note that older clients might lack support for the SCRAM authentication
@@ -1136,7 +1126,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-scram-iterations" xreflabel="scram_iterations">
-      <term><varname>scram_iterations</varname> (<type>integer</type>)
+      <term><varname>scram_iterations</varname> (<type>integer</type>) - default is 4096
       <indexterm>
        <primary><varname>scram_iterations</varname> configuration parameter</primary>
       </indexterm>
@@ -1144,7 +1134,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The number of computational iterations to be performed when encrypting
-        a password using SCRAM-SHA-256. The default is <literal>4096</literal>.
+        a password using SCRAM-SHA-256. 
         A higher number of iterations provides additional protection against
         brute-force attacks on stored passwords, but makes authentication
         slower. Changing the value has no effect on existing passwords
@@ -1156,15 +1146,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-server-keyfile" xreflabel="krb_server_keyfile">
-      <term><varname>krb_server_keyfile</varname> (<type>string</type>)
+      <term><varname>krb_server_keyfile</varname> (<type>string</type>) - default is FILE:/usr/local/pgsql/etc/krb5.keytab
       <indexterm>
        <primary><varname>krb_server_keyfile</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Sets the location of the server's Kerberos key file.  The default is
-        <filename>FILE:/usr/local/pgsql/etc/krb5.keytab</filename>
+        Sets the location of the server's Kerberos key file.  
         (where the directory part is whatever was specified
         as <varname>sysconfdir</varname> at build time; use
         <literal>pg_config --sysconfdir</literal> to determine that).
@@ -1178,7 +1167,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-caseins-users" xreflabel="krb_caseins_users">
-      <term><varname>krb_caseins_users</varname> (<type>boolean</type>)
+      <term><varname>krb_caseins_users</varname> (<type>boolean</type>) - default is off (case sensitive)
       <indexterm>
        <primary><varname>krb_caseins_users</varname> configuration parameter</primary>
       </indexterm>
@@ -1187,14 +1176,14 @@ include_dir 'conf.d'
        <para>
         Sets whether GSSAPI user names should be treated
         case-insensitively.
-        The default is <literal>off</literal> (case sensitive). This parameter can only be
-        set in the <filename>postgresql.conf</filename> file or on the server command line.
+        This parameter can only be set in the <filename>postgresql.conf</filename> 
+		file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-gss-accept-delegation" xreflabel="gss_accept_delegation">
-      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>)
+      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>gss_accept_delegation</varname> configuration parameter</primary>
       </indexterm>
@@ -1202,7 +1191,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets whether GSSAPI delegation should be accepted from the client.
-        The default is <literal>off</literal> meaning credentials from the client will
+        Value <literal>off</literal> means credentials from the client will
         <emphasis>not</emphasis> be accepted.  Changing this to <literal>on</literal> will make the server
         accept credentials delegated to it from the client. This parameter can only be
         set in the <filename>postgresql.conf</filename> file or on the server command line.
@@ -1253,7 +1242,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-ssl" xreflabel="ssl">
-      <term><varname>ssl</varname> (<type>boolean</type>)
+      <term><varname>ssl</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl</varname> configuration parameter</primary>
       </indexterm>
@@ -1263,13 +1252,12 @@ include_dir 'conf.d'
         Enables <acronym>SSL</acronym> connections.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-ca-file" xreflabel="ssl_ca_file">
-      <term><varname>ssl_ca_file</varname> (<type>string</type>)
+      <term><varname>ssl_ca_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_ca_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1281,14 +1269,14 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is empty, meaning no CA file is loaded,
+        An empty string for this value means no CA file is loaded,
         and client certificate verification is not performed.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-cert-file" xreflabel="ssl_cert_file">
-      <term><varname>ssl_cert_file</varname> (<type>string</type>)
+      <term><varname>ssl_cert_file</varname> (<type>string</type>) - default is server.crt
       <indexterm>
        <primary><varname>ssl_cert_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1299,13 +1287,12 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <filename>server.crt</filename>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-file" xreflabel="ssl_crl_file">
-      <term><varname>ssl_crl_file</varname> (<type>string</type>)
+      <term><varname>ssl_crl_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_crl_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1317,14 +1304,14 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is empty, meaning no CRL file is loaded (unless
+        Value of an empty string means no CRL file is loaded (unless
         <xref linkend="guc-ssl-crl-dir"/> is set).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-dir" xreflabel="ssl_crl_dir">
-      <term><varname>ssl_crl_dir</varname> (<type>string</type>)
+      <term><varname>ssl_crl_dir</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_crl_dir</varname> configuration parameter</primary>
       </indexterm>
@@ -1335,7 +1322,7 @@ include_dir 'conf.d'
         certificate revocation list (CRL).  Relative paths are relative to the
         data directory.  This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command
-        line.  The default is empty, meaning no CRLs are used (unless
+        line.  Value of an empty string means no CRLs are used (unless
         <xref linkend="guc-ssl-crl-file"/> is set).
        </para>
 
@@ -1358,7 +1345,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-key-file" xreflabel="ssl_key_file">
-      <term><varname>ssl_key_file</varname> (<type>string</type>)
+      <term><varname>ssl_key_file</varname> (<type>string</type>) - default is server.key
       <indexterm>
        <primary><varname>ssl_key_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1369,7 +1356,6 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <filename>server.key</filename>.
        </para>
       </listitem>
      </varlistentry>
@@ -1397,7 +1383,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-ciphers" xreflabel="ssl_ciphers">
-      <term><varname>ssl_ciphers</varname> (<type>string</type>)
+      <term><varname>ssl_ciphers</varname> (<type>string</type>) - default is HIGH:MEDIUM:+3DES:!aNULL
       <indexterm>
        <primary><varname>ssl_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1409,8 +1395,7 @@ include_dir 'conf.d'
         <xref linkend="guc-ssl-tls13-ciphers"/> for TLS version 1.3 connections. See
         the <citerefentry><refentrytitle>ciphers</refentrytitle></citerefentry>
         manual page in the <productname>OpenSSL</productname> package for the
-        syntax of this setting and a list of supported values.  The default value
-        is <literal>HIGH:MEDIUM:+3DES:!aNULL</literal>.  The default is usually a
+        syntax of this setting and a list of supported values. The default is usually a
         reasonable choice unless you have specific security requirements.
        </para>
 
@@ -1482,7 +1467,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-prefer-server-ciphers" xreflabel="ssl_prefer_server_ciphers">
-      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>)
+      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>ssl_prefer_server_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1493,7 +1478,6 @@ include_dir 'conf.d'
         than the client's.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>on</literal>.
        </para>
 
        <para>
@@ -1507,7 +1491,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-groups" xreflabel="ssl_groups">
-      <term><varname>ssl_groups</varname> (<type>string</type>)
+      <term><varname>ssl_groups</varname> (<type>string</type>) - default is X25519:prime256v1
       <indexterm>
        <primary><varname>ssl_groups</varname> configuration parameter</primary>
       </indexterm>
@@ -1520,7 +1504,6 @@ include_dir 'conf.d'
         It does not need to be the same curve used by the server's Elliptic
         Curve key.  This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
-        The default is <literal>X25519:prime256v1</literal>.
        </para>
 
        <para>
@@ -1544,7 +1527,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-min-protocol-version" xreflabel="ssl_min_protocol_version">
-      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>) - default is TLSv1.2
       <indexterm>
        <primary><varname>ssl_min_protocol_version</varname> configuration parameter</primary>
       </indexterm>
@@ -1561,7 +1544,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default is <literal>TLSv1.2</literal>, which satisfies industry
+        Value of <literal>TLSv1.2</literal> usually satisfies industry
         best practices as of this writing.
        </para>
 
@@ -1573,7 +1556,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-max-protocol-version" xreflabel="ssl_max_protocol_version">
-      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>) - default is to allow any version
       <indexterm>
        <primary><varname>ssl_max_protocol_version</varname> configuration parameter</primary>
       </indexterm>
